Bug 958132

Summary: Review Request: soxr - The SoX Resampler library
Product: [Fedora] Fedora Reporter: Richard Shaw <hobbes1069>
Component: Package ReviewAssignee: T.C. Hollingsworth <tchollingsworth>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: hdegoede, notting, package-review, tchollingsworth
Target Milestone: ---Flags: tchollingsworth: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: soxr-0.1.1-1.fc17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-14 01:26:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Richard Shaw 2013-04-30 13:09:12 UTC
Spec URL: https://dl.dropboxusercontent.com/u/34775202/soxr/soxr.spec
SRPM URL: https://dl.dropboxusercontent.com/u/34775202/soxr/soxr-0.1.1-1.fc18.src.rpm
Description:
The SoX Resampler library `libsoxr' performs one-dimensional sample-rate
conversion -- it may be used, for example, to resample PCM-encoded audio.

Fedora Account System Username: hobbes1069

rpmlint output:
$ rpmlint ./soxr-0.1.1-1.fc18.src.rpm
soxr.src: W: spelling-error %description -l en_US resample -> re sample, re-sample, res ample
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 1 T.C. Hollingsworth 2013-04-30 19:25:47 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Status: APPROVED

===== Things to Consider =====

[ ]: rpmlint warns of an unused direct shlib dependency.

     This is not a blocker issue, but it may be possible to fix this.  See:
     https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency

===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/fedora/patches/FedoraReview/958132-soxr/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: soxr-devel-0.1.1-1.fc20.x86_64.rpm
          soxr-0.1.1-1.fc20.src.rpm
          soxr-debuginfo-0.1.1-1.fc20.x86_64.rpm
          soxr-0.1.1-1.fc20.x86_64.rpm
soxr.src: W: spelling-error %description -l en_US resample -> re sample, re-sample, res ample
soxr.x86_64: W: spelling-error %description -l en_US resample -> re sample, re-sample, res ample
4 packages and 0 specfiles checked; 0 errors, 2 warnings.

OK


Rpmlint (installed packages)
----------------------------
# rpmlint soxr-debuginfo soxr soxr-devel
soxr.x86_64: W: spelling-error %description -l en_US resample -> re sample, re-sample, res ample
soxr.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsoxr-lsr.so.0.1.9 /lib64/libm.so.6
soxr.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsoxr-lsr.so.0.1.9 /lib64/libgomp.so.1
soxr.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsoxr-lsr.so.0.1.9 /lib64/libpthread.so.0
soxr.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsoxr.so.0.1.0 /lib64/libpthread.so.0
3 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'

OK, unused-direct-shlib-dependency is not a blocker

Requires
--------
soxr-devel-0.1.1-1.fc20.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config
    libsoxr-lsr.so.0()(64bit)
    libsoxr.so.0()(64bit)
    soxr(x86-64) = 0.1.1-1.fc20

soxr-debuginfo-0.1.1-1.fc20.x86_64.rpm (rpmlib, GLIBC filtered):
    

soxr-0.1.1-1.fc20.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libgomp.so.1(OMP_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libsoxr.so.0()(64bit)
    rtld(GNU_HASH)

OK

Provides
--------
soxr-devel-0.1.1-1.fc20.x86_64.rpm:
    
    pkgconfig(soxr) = 0.1.1
    pkgconfig(soxr-lsr) = 0.1.1
    soxr-devel = 0.1.1-1.fc20
    soxr-devel(x86-64) = 0.1.1-1.fc20

soxr-debuginfo-0.1.1-1.fc20.x86_64.rpm:
    
    soxr-debuginfo = 0.1.1-1.fc20
    soxr-debuginfo(x86-64) = 0.1.1-1.fc20

soxr-0.1.1-1.fc20.x86_64.rpm:
    
    libsoxr-lsr.so.0()(64bit)
    libsoxr.so.0()(64bit)
    soxr = 0.1.1-1.fc20
    soxr(x86-64) = 0.1.1-1.fc20

OK

MD5-sum check
-------------
http://downloads.sourceforge.net/soxr/soxr-0.1.1-Source.tar.xz :
  CHECKSUM(SHA256) this package     : dcc16868d1a157079316f84233afcc2b52dd0bd541dd8439dc25bceb306faac2
  CHECKSUM(SHA256) upstream package : dcc16868d1a157079316f84233afcc2b52dd0bd541dd8439dc25bceb306faac2

OK

Generated by fedora-review 0.3.1 (f4bc12d) last change: 2012-10-16
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b958132

Comment 2 Richard Shaw 2013-04-30 19:30:07 UTC
> [ ]: rpmlint warns of an unused direct shlib dependency.
> 
>      This is not a blocker issue, but it may be possible to fix this.  See:
>     
> https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-
> dependency

This is very common with cmake projects, I'll add -Wl,--as-needed to the linker flags to fix this when I do the official build.

Thanks for the quick review!

Comment 3 Richard Shaw 2013-04-30 19:36:47 UTC
New Package SCM Request
=======================
Package Name: soxr
Short Description: The SoX Resampler library
Owners: hobbes1069
Branches: f18 f19
InitialCC:

Comment 4 Gwyn Ciesla 2013-04-30 19:49:58 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2013-04-30 20:21:10 UTC
soxr-0.1.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/soxr-0.1.1-1.fc18

Comment 6 Fedora Update System 2013-04-30 20:21:24 UTC
soxr-0.1.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/soxr-0.1.1-1.fc19

Comment 7 Fedora Update System 2013-05-01 03:29:15 UTC
soxr-0.1.1-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 8 Hans de Goede 2013-05-01 07:18:26 UTC
Great that this got packaged so quickly. kudos to all involved!

Comment 9 Richard Shaw 2013-05-05 11:37:14 UTC
Package Change Request
======================
Package Name: soxr
New Branches: f17
Owners: hobbes1069
InitialCC: 

For F17 audacity update...

Comment 10 Gwyn Ciesla 2013-05-06 12:38:03 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2013-05-06 19:01:49 UTC
soxr-0.1.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/soxr-0.1.1-1.fc17

Comment 12 Fedora Update System 2013-05-14 01:26:19 UTC
soxr-0.1.1-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 13 Fedora Update System 2013-05-16 02:53:53 UTC
soxr-0.1.1-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 14 Richard Shaw 2014-07-27 01:49:08 UTC
Package Change Request
======================
Package Name: soxr
New Branches: epel7
Owners: hobbes1069
InitialCC:

Comment 15 Gwyn Ciesla 2014-07-28 12:12:08 UTC
Git done (by process-git-requests).